Skip to main content
GET
/
content
/
ads
/
search-terms
List Google Ads search terms
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/ads/search-terms \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "searchTerms": [
      {
        "searchTerm": "<string>",
        "keyword": "<string>",
        "matchType": "<string>",
        "campaignId": "<string>",
        "campaignName": "<string>",
        "adGroupId": "<string>",
        "adGroupName": "<string>",
        "impressions": 123,
        "clicks": 123,
        "cost": 123,
        "conversions": 123,
        "snapshotDate": "2023-12-25"
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

campaign_id
string

Filter by campaign ID

search_query
string

Case-insensitive substring search on search term

period
enum<string>
default:30d

Date range preset (default 30d). Overridden by start+end.

Available options:
today,
7d,
30d,
90d,
mtd,
ytd
start
string<date>

Explicit start date (YYYY-MM-DD). Overrides period.

end
string<date>

Explicit end date (YYYY-MM-DD). Overrides period.

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Google search terms list

success
boolean
required
data
object